package kr.co.hanwha.hifive.data.model;

import java.util.ArrayList;

public class MemberHrDataRoot extends BaseData {
    ArrayList<MemberHrData> listMemberHrInfo;

    public String getLogin() {
        if (listMemberHrInfo != null && listMemberHrInfo.size() > 0)
            return listMemberHrInfo.get(0).getLogin();
        return "";
    }

    public String getRank() {
        if (listMemberHrInfo != null && listMemberHrInfo.size() > 0)
            return listMemberHrInfo.get(0).getRank();
        return "";
    }

    @Override
    public String toString() {
        return "MemberHrDataRoot{" +
                "listMemberHrInfo=" + listMemberHrInfo +
                ", rtn_code=" + rtn_code +
                ", rtn_message='" + rtn_message + '\'' +
                ", server_time='" + server_time + '\'' +
                '}';
    }
}
/*
{
"server_time": "2018-08-02 12:31:19",
"rtn_message": "성공",
"rtn_code": 0,
"listMemberHrInfo": [
{
    "track_name": null,
    "track_status": 0,
    "track_deleted_at": null,
    "project_name": "도와줘요 개발팀",
    "project_status_code": 0,
    "project_code": "정상",
    "project_deleted_at": null,
    "login": "sanghoonkwon@hanwha.com",
    "is_null_authcode": false,
    "rank": "대리",
    "position": "대리",
    "phone_mobile": "01050186052"
}
],
"resver": "2.0",
"elapsedTime": "8 ms"
}
 */